<?
include ('../common/scripts/template.inc.php');
include ('../common/scripts/connect.inc.php');
require_once ('../common/scripts/templatize.inc.php');

if($_GET['action']==1) affichageListe($_GET['login'],$_GET['password'],$_GET['terrier']);
if($_GET['action']==2) newAnnonce($_GET['login'],$_GET['password'],$_GET['terrier']);
if($_GET['action']==3) getAnnonce($_GET['id']);

if($_POST['envoyer']){ deposeAnnonce($_POST['id_exp'],$_POST['terrier'],$_POST['message'],$_POST['login'],$_POST['password']);}

//---------------------  ------------------------------//
//Affiche la liste des messages qui sont sur le terrier//
//-------------------  --------------------------------//
function affichageListe($login,$password,$terrier) {
global $dbconn,$listeAnnonces;
//-----------  Declaration template  ------------------ //
$listeAnnonces = new Template(".");
$listeAnnonces->set_file("listeAnnonce","../annonce/listeAnnonces.tpl");
$listeAnnonces->set_var("login",$login);
$listeAnnonces->set_var("password",$password);
//-----------  Declaration des blocks------------------ //
$listeAnnonces->set_block("listeAnnonce","LISTE_ANNONCES","listeAnnonces");
//----------- Appels des fonctions --------------------//
affichageMessages($terrier);
//------------- ecriture fichier ---------------------//
$listeAnnonces->parse("output","listeAnnonce");
$listeAnnonces->p("output");
}
//---------------------  ------------------------------//
//-------------- Afficher une annonce -----------------//
//-------------------  --------------------------------//
function getAnnonce($id){
global $dbconn,$annonce;
//-----------  Declaration template  ------------------ //
$annonce = new Template(".");
$annonce->set_file("getAnnonce","getAnnonce.tpl");

//----------- Appels des fonctions --------------------//
afficheUneAnnonce($id);
//------------- ecriture fichier ---------------------//
$annonce->parse("output","getAnnonce");
$annonce->p("output");
}

//---------------------  ------------------------------//
//-------- Fonction de conversion de la date  ---------//
//-------------------  --------------------------------//
function datefr($date)
{
  list($date2, $time) = explode(" ", $date);
  list($year, $month, $day) = explode("-", $date2);
  $mois = array('janvier', 'fevrier', 'mars', 'avril', 'mai', 'juin', 'juillet', 'aout', 'septembre', 'octobre', 'novembre', 'decembre');
  $today = date("Y-m-d");
  if ($date2 < $today) $dateFra = "$day ".$mois[$month -1]." $year";
  else $dateFra = $time;
  return $dateFra;  
}


//---------------------  ------------------------------//
//--------------- Affiche une annonce -----------------//
//-------------------  --------------------------------//
function afficheUneAnnonce($id){
global $dbconn,$annonce;

$q=pg_query($dbconn,"select announce_id, announce_msg,announce_date_depot,char_id from announces where announce_id='$id'");

$ann=pg_fetch_array($q);

// recup le nom du mimichant qui a déposé l'annonce
$ide=$ann['char_id'];
$q1=pg_query($dbconn,"select char_name,user_id from characters where char_id='$ide'");
$us_array=pg_fetch_array($q1);
$idu=$us_array['user_id'];
$q2=pg_query($dbconn,"select user_login from users where user_id='$idu'");

$qi_r1=pg_fetch_array($q2);

	$annonce->set_var("id_message",$ann['announce_id']);
	$annonce->set_var("expediteur",$qi_r1[0]);
	$annonce->set_var("objet",$msg['message_subject']);
	$date=datefr($ann['announce_date_depot']);
	$annonce->set_var("date_msg",$date);
	$annonce->set_var("corps",$ann['announce_msg']);
	$annonce->set_var("psw",$qi_r2['user_pass']);
	$annonce->parse("Annonce","ANNONCE",true);
	

	
} 
//---------------------  ------------------------------//
//----Affiche la liste des messages  par ligne --------//
//-------------------  --------------------------------//
function affichageMessages($terrier){
global $dbconn,$listeAnnonces;
$terrier = 39092;
echo $terrier;
//$q=pg_query($dbconn,"select * from announce where ground_id='$terrier'order by announce_date_depot DESC ");
$q=pg_query($dbconn,"select * from readannounce('$terrier')");
$cpt=0;
while($ligne=pg_fetch_array($q)) {
	$id2=$ligne['char_id'];
	$q2=pg_query($dbconn,"select char_name from characters where char_id='$id2'");
	$result=pg_fetch_array($q2);
	$cpt++;
	$listeAnnonces->set_var("user",$result['char_name']);
	$msg = substr($ligne['announce_msg'], 0, 15);
	$listeAnnonces->set_var("annonce",$msg);
	$listeAnnonces->set_var("date",datefr($ligne['announce_date_depot']));
	$listeAnnonces->set_var("id_annonce",$ligne['announce_id']);
	if($cpt%2==0)$listeAnnonces->set_var("atchoum","ligne1");
	else $listeAnnonces->set_var("atchoum","ligne2");
	$listeAnnonces->parse("listeAnnonces","LISTE_ANNONCES",true);
	}	
}

//---------------------  ------------------------------//
//---------------- Depot d'une annonce ----------------//
//-------------------  --------------------------------//
function deposeAnnonce($charID,$terrier,$msg,$login,$password){
global $dbconn,$login,$password;
$charID=1;
//echo $charID." ".$terrier." ".$msg;
$req = 'select * from setannounce('.$charID.','.$terrier.',\''.$msg.'\')';
$q=pg_query($dbconn,$req) or die(pg_last_error().'<br/>'.$req);
$arrayVars = array('LOGIN' => $login,'TERRIER' => $terrier );
	templatizeWithVars('../common/header2.tpl','../common/menuTerrier.tpl','annonces.tpl','../common/footer.tpl',$arrayVars);
} 

//---------------------  ------------------------------//
//---------------- Nouvelle annonce -------------------//
//-------------------  --------------------------------//
function newAnnonce($login,$password,$terrier) {
global $dbconn,$login,$password;

//-----------  Declaration template  ------------------ //
$newAnnonce = new Template(".");
$newAnnonce->set_file("newAnnonce","../annonce/newAnnonce.tpl");
$newAnnonce->set_var("id_exp",1);
$newAnnonce->set_var("LOGIN",$login);
$newAnnonce->set_var("PASSWORD",$password);
$newAnnonce->set_var("terrier",$terrier);
//------------- ecriture fichier ---------------------//
$newAnnonce->parse("output","newAnnonce");
$newAnnonce->p("output");
}

?>